/*
 * Copyright (C) 2003 Flameeyes <dgp85@users.sourceforge.net>
 */

#ifndef _KVBA_H_
#define _KVBA_H_

#include "dialogs/KvbaMainBase.h"

#include <qstring.h>

class QProcess;
class QListBoxItem;
class QListViewItem;
class KFileTreeView;
class KFileTreeBranch;
class KAction;

class kvba : public KVBAMainBase
{
Q_OBJECT
public:
	kvba(QWidget *parent, const char* name);
	virtual ~kvba();
	
	QProcess *vba;
	
	KFileTreeView *allDirs;
	KFileTreeBranch *root;
	KAction *editFavoritesAction;

public slots:
	void dirSelected(QListViewItem *i);

	void romDoubleClicked(QListBoxItem *i);
	void favDoubleClicked(QListViewItem *i);

	void vbaReadyStdout();
	void vbaReadyStderr();

	void addFavorites();
	void editFavorites();

	void favChangeSelection();

	void fileNewConfigActivated();
	void prefActivated();
protected:
	void InsertItems(QString path, QListViewItem *parent);
	void vbaPrepareArguments();
};

extern kvba *Kvba;

#endif // _KVBA_H_
